Subject: Re: Help with bugfix for bond active-backup mode + vlans

From: Ben Greear <[email-masked]>
Date: Mon, 24 Jul 2006 10:58:54 -0700

Jay Vosburgh wrote:

> 	Another possibility would be to have __vlan_hwaccel_rx check the
> VLAN_DEV_INFO(skb->dev)->real_dev, and if that's a bonding device, apply
> the same logic found in skb_bond().  Or, if there's some way to ask the
> question "is dev a VLAN device?", then that same test could be put into
> skb_bond() and all of the packet suppression fru fru could stay there.

There is a flag in if.h to denote VLAN devices:

/* Private (from user) interface flags (netdevice->priv_flags). */
#define IFF_802_1Q_VLAN 0x1             /* 802.1Q VLAN device.

Thanks,
Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com